Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 176831 - [68cat][plugins] Error message on missing deprecated dependencies uses wrong URL
[68cat][plugins] Error message on missing deprecated dependencies uses wrong URL
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Settings
6.x
PC Windows XP
: P3 (vote)
: 6.x
Assigned To: issues@editor
issues@editor
: NETFIX, SIMPLEFIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-13 14:19 UTC by esmithbss
Modified: 2010-04-20 05:16 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
Small patch (624 bytes, text/plain)
2010-04-08 12:52 UTC, ehartmann
Details
patch file (1.39 KB, patch)
2010-04-18 20:57 UTC, takakura
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description esmithbss 2009-11-13 14:19:36 UTC
[200911091156]
[JDK1.6.0u17]

When installing a plugin that does not contain the proper references to deprecated pre61settings and pre61completion, the error message in the IDE log file points the user/developer at a very long discussion about why the changes should be made.  Instead, the message should point to the information about what to do to fix the issue.

The current error message is :

WARNING [org.netbeans.core.modules]: had to upgrade dependencies for module {{plugin}}: added = [module org.netbeans.modules.editor.deprecated.pre61settings/0 > 1.0, module org.netbeans.modules.editor.deprecated.pre61completion/0 > 1.0] removed = []; details: [Old editor settings and completion APIs have been deprecated, see #90403 and update your module.]


Instead of referencing #90403, the message should reference: http://wiki.netbeans.org/EditorSettingsUpgrade'
Comment 1 dlipin 2009-11-19 04:50:27 UTC
At least, editor/module-auto-deps.xml and editor.lib/module-auto-deps.xml should be fixed.
Comment 2 Vitezslav Stejskal 2009-11-20 04:34:55 UTC
Agreed. Although 90403 links to that wiki page from its URL field, but I agree that it may not be obvious to follow this link and you may end up reading the lengthy issue description.
Comment 3 Jiri Kovalsky 2010-04-08 11:13:01 UTC
Issue added to NetFIX Pool [1]. Module owner please speak up if you disagree.

[1] http://wiki.netbeans.org/NetFIXIssues
Comment 4 ehartmann 2010-04-08 12:52:01 UTC
Created attachment 96889 [details]
Small patch
Comment 5 Jiri Kovalsky 2010-04-08 13:49:44 UTC
Eric, didn't you attach a wrong patch here? :-)
Comment 6 ehartmann 2010-04-08 13:56:51 UTC
Ooppss again! 

Jirka, you're right the patch apply to #176777
Bugzilla automatically switch me to next bug.
I don't know how to delete this patch, can you delete it ?

Really sorry.
Comment 7 Jiri Kovalsky 2010-04-08 13:59:19 UTC
Not a problem. We will simply ignore the patch since I don't know how to delete it.
Comment 8 Michel Graciano 2010-04-08 14:09:44 UTC
Comment on attachment 96889 [details]
Small patch

Making patch obsolete since there is no way to remove it.
Comment 9 takakura 2010-04-10 00:51:30 UTC
Is this fix just replace #90403 to http://wiki.netbeans.org/EditorSettingsUpgrade like below?
"Old editor settings and completion APIs have been deprecated, see #90403 and update your module."
-> "Old editor settings and completion APIs have been deprecated, see http://wiki.netbeans.org/EditorSettingsUpgrade and update your module."
Comment 10 Vitezslav Stejskal 2010-04-10 05:22:50 UTC
(In reply to comment #9)
> Is this fix just replace #90403 to
> http://wiki.netbeans.org/EditorSettingsUpgrade like below?

Yes.
Comment 11 takakura 2010-04-18 20:57:38 UTC
Created attachment 97581 [details]
patch file
Comment 12 Vitezslav Stejskal 2010-04-19 11:41:11 UTC
Thanks for the patch. Local changeset: c3eea80430c5
Comment 13 Jiri Kovalsky 2010-04-19 14:36:47 UTC
Thanks Vito for review & integration and special thanks Junji for your patch!
Comment 14 Quality Engineering 2010-04-20 05:16:29 UTC
Integrated into 'main-golden', will be available in build *201004200200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/c3eea80430c5
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #176831: applying takakura's patch


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo